/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.model.views;

import java.io.Serializable;
import java.math.BigDecimal;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import org.hibernate.annotations.Immutable;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <oscar.vargas@arrebol.com.mx>
 */
@Entity
@Immutable
@Table(name = "APC_TOTAL_CLOSING_DAY_BY_CURDATE_VIEW")
public class TotalClosingDayByCurdateView implements Serializable {

    private static final long serialVersionUID = -2806905948351437216L;

    @Id
    @Column(name = "id", length = 36)
    private String id;
    
    @Column(name = "id_office")
    private String idOffice;

    @Column(name = "amount_paid")
    private BigDecimal amountPaid;

    public TotalClosingDayByCurdateView() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public BigDecimal getAmountPaid() {
        return amountPaid;
    }

    public void setAmountPaid(BigDecimal amountPaid) {
        this.amountPaid = amountPaid;
    }

    public String getIdOffice() {
        return idOffice;
    }

    public void setIdOffice(String idOffice) {
        this.idOffice = idOffice;
    }

    @Override
    public String toString() {
        return "TotalClosingDayByCurdateView{" + "id=" + id + '}';
    }

}
